<div class="row col">
  <!--Recherche par matricule-->
  <div class="pull-right col-lg-3">
    <div class="input-group">

      <input type="text" style="height: 50px;" class="form-control" placeholder="Rechercher par matricule">
      <span class="input-group-btn">
        <button style="height: 50px;"  class="btn btn-outline-secondary" type="button" (click)="searchMatricule()">
          Recherche
        </button>
      </span>
    </div>
  </div>
  
  <!-- LISTE DES UTILISATEURS -->
  <div class="list row col1 ">
    <h3 style="
                  font-size: 35px;
                  color: #f7f7f8; 
                  margin-top: 40px;">
      Liste des utilisateurs
    </h3>

    <div class="col-md-3">
      <ul style="border: #29292b;" class="list-group">
        <!--User.name-->
        <li style="border: #29292b; height: 60px; width: 250px;font-size: 20px;" class="list-group-item"
         *ngFor="let user of users; let i = index" 
         [class.active]="i == currentIndex"
          (click)="setActiveUser(user, i)">
         <strong style="font-size: 15px;"><label>Matricule :</label> </strong>
           <strong style="font-size: 10px;">{{ user.matricule}}</strong>
         <!--{{ user.roles[0].name}}--> 
        </li>
      </ul>
    </div>
   
    <!--Selectionne d'un user-->
    <div class="col-md-6" style="margin-left: 30px; " >
      <div *ngIf="currentUser">
        <h2 style="font-size: 30px; color: #f7f7f8;"> Utilisateur sélectionné:  </h2>
        <div>
          <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Matricule: </strong></label> 
          <strong style="font-size: 20px; margin-left: 5px;color:#000000; " > {{ currentUser.matricule }}</strong> 
        </div>
        <div>
          <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Nom et Prénom: </strong></label>
          <strong style="font-size: 20px; margin-left: 5px;color: #141313; " > {{ currentUser.name }}</strong>
        </div>
        <div>
          <label style="font-size: 20px;text-decoration: underline;color: #000000;" ><strong>Adresse e-mail: </strong></label>
          <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{ currentUser.email }}</strong>
        </div>
        <div>
          <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Mot de passe:  </strong></label>
          <strong style="font-size: 20px; margin-left: 5px;color: #141313; " > {{ currentUser.password }}</strong>
        </div>

        <div>
          <label style="font-size: 20px;text-decoration: underline;color: #000000;"><strong>Role:  </strong></label>
          <strong style="font-size: 20px; margin-left: 5px;color: #141313; "  > {{currentUser.roles[0].name}}</strong>

        </div>


        <button id="btnajout" style=" background-color: #67676b; font-size: 25px; border-radius: 10px; font-style: oblique; color: #f7f7f8; height: 50px;width: 200px; ">
        <a id="btnajout"
        style=" background-color: #67676b; font-size: 25px; border-radius: 10px; font-style: oblique; color: #f7f7f8; height: 50px;width: 200px; margin-left: 20px; margin-right: 20px;"
        class="nav-link" 
        [routerLink]="'detail_utilisateurs/'+currentUser.id">
          Modifier
        </a>
        </button>
      </div>
    </div>
</div>

   <!-- Ajouter un nouveau utilisateur -->
   <div (ngSubmit)="onSubmit2()">
    <button id="btnajout" style=" color:  #f7f7f8;; background-color: #67676b; margin-left: 100px; font-size: 25px; font-style: oblique;height: 50px; width: 300px ; border-radius: 10px;" class="btn"
      (click)="onSubmit2()" routerLink="ajout_utilisateur">
      Ajouter un utilisateur
    </button>
    </div>